## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcSolid Struct Reference

A solid representation of an entity. More...

`#include <propclass/solid.h>`

List of all members.

## Public Member Functions

virtual iCollider * | GetCollider ()=0
| Get (and create if needed) the collider for this mesh.
virtual iPcMesh * | GetMesh () const =0
| Get the current mesh on which we're working.
virtual void | SetMesh (iPcMesh *mesh)=0
| Set mesh from which to create the solid representation.

## Detailed Description

A solid representation of an entity.

This is used for collision detection.

Definition at line 35 of file solid.h.

## Member Function Documentation

virtual iCollider* iPcSolid::GetCollider | ( |  | ) | `[pure virtual]`

| Get (and create if needed) the collider for this mesh. If this returns 0 it means that the mesh object on which this property class is being used does not support collision detection.

virtual iPcMesh* iPcSolid::GetMesh | ( |  | ) | const`[pure virtual]`

| Get the current mesh on which we're working.

virtual void iPcSolid::SetMesh | ( | iPcMesh * | mesh | ) | `[pure virtual]`

| Set mesh from which to create the solid representation. If not set a default mesh will be found from the parent entity.

The documentation for this struct was generated from the following file:

- propclass/solid.h